import StateHandler from '@/Engine/StateMahines/StateHandler';
import SysPage from '@/Frameworks/SysPage';
import { PAGE_KEY } from '@/Project/constants';
import { FuncMainState } from '../FuncMain';

export default class PlatformMenuHandle implements StateHandler<FuncMainState> {
  stateIn(): void {
    window.GT_APP.funcPlatformMenu.setActive(true);
  }
  stateRunning(): FuncMainState {
    return FuncMainState.PlatformMenu;
  }
  stateExit(): void {
    window.GT_APP.funcPlatformMenu.setActive(false);
  }
}
